Bug 49581 - [PATCH] Support to modify, remove and add a series to an existing chart
[PATCH] Support to modify, remove and add a series to an existing chart
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: HSSF
3.7-dev
All All
: P2 enhancement (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-07-10 13:55 UTC by Jens Götze
Modified: 2010-07-16 12:47 UTC (History)
0 users



Attachments
Patch to add modification and creation support of chart series (11.96 KB, patch)
2010-07-10 13:55 UTC, Jens Götze
Details | Diff
Test case input (excel file) (27.50 KB, application/vnd.ms-excel)
2010-07-10 14:03 UTC, Jens Götze
Details
Test case (3.06 KB, text/plain)
2010-07-10 14:04 UTC, Jens Götze
Details
Patch to add modification and creation support of chart series (12.01 KB, patch)
2010-07-10 14:28 UTC, Jens Götze
Details | Diff
Patch to add modification and creation support of chart series (14.94 KB, patch)
2010-07-10 17:18 UTC, Jens Götze
Details | Diff
Patch to add modification and creation support of chart series (15.30 KB, patch)
2010-07-11 11:32 UTC, Jens Götze
Details | Diff
Test case input (excel file) (48.50 KB, application/vnd.ms-excel)
2010-07-11 11:35 UTC, Jens Götze
Details
Test case (4.53 KB, application/octet-stream)
2010-07-11 11:35 UTC, Jens Götze
Details
Test case output (excel file) (64.00 KB, application/vnd.ms-excel)
2010-07-11 11:35 UTC, Jens Götze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Götze 2010-07-10 13:55:49 UTC
Created attachment 25743 [details]
Patch to add modification and creation support of chart series

I have created a patch to support ...

- modification of chart series (value and category ranges)

- creation of chart series by the duplication of the first chart series.

Unsupported:

- So far it is not possible to create a series within an empty chart.

- Removing all series

I hope it helps a bit.
Comment 1 Jens Götze 2010-07-10 14:03:47 UTC
Created attachment 25744 [details]
Test case input (excel file)

Is used by the Java test case.
Comment 2 Jens Götze 2010-07-10 14:04:53 UTC
Created attachment 25745 [details]
Test case

Java test case to test the new API.
Comment 3 Jens Götze 2010-07-10 14:28:50 UTC
Created attachment 25746 [details]
Patch to add modification and creation support of chart series

Fixed a bug in the patch.
Comment 4 Jens Götze 2010-07-10 17:18:26 UTC
Created attachment 25748 [details]
Patch to add modification and creation support of chart series

Added removeSeries() method to remove series items.
Comment 5 Jens Götze 2010-07-11 11:32:58 UTC
Created attachment 25751 [details]
Patch to add modification and creation support of chart series

Improvement related to the integration into 3.7-dev
Comment 6 Jens Götze 2010-07-11 11:35:06 UTC
Created attachment 25752 [details]
Test case input (excel file)
Comment 7 Jens Götze 2010-07-11 11:35:26 UTC
Created attachment 25753 [details]
Test case
Comment 8 Jens Götze 2010-07-11 11:35:56 UTC
Created attachment 25754 [details]
Test case output (excel file)
Comment 9 Nick Burch 2010-07-16 12:47:42 UTC
Thanks for this. Applied (with some tweaks to make your test class a unit test) in r964855.

If you do fancy adding more charting support to poi, we'd love to see the patches!